de.esprit.netsuite.client.activity.agent

## Class ActiveAgentsListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel<T>
      - - de.esprit.appsuite.gui.activity.ActivityListModel<C,T>
        - - de.esprit.netsuite.client.gui.ClientActivityListModel<ClientContext,AsyncAgent>
          - - de.esprit.netsuite.client.activity.agent.ActiveAgentsListModel

- All Implemented Interfaces:
    ClientObject<ClientContext>, java.io.Serializable, javax.swing.ListModel<AsyncAgent>

      public class ActiveAgentsListModel
      extends ClientActivityListModel<ClientContext,AsyncAgent>

  This list caches `Agent` instances of async agents which the client is currently executing on the server.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveAgentsListModel(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAgent(AsyncAgent agent)`
    `boolean` | `cancel(int index)`
    `boolean` | `cancelAgentByName(java.lang.String agentName, SessionId killerId)`
    `boolean` | `cancelAll()`
    `AsyncAgent` | `findAgentById(AgentId id)`
    `AsyncAgent` | `getAgent(int index)`
    `AgentId` | `getAgentId(int index)`
    `IconKey` | `getTypeIcon()`
    `NlsKey` | `getTypeName()`
    `void` | `initListModel()`
    `void` | `removeAgentById(AgentId agentId)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientActivityListModel

      `getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.gui.activity.ActivityListModel

      `getApplicationContext, hasCancellableTasks, isCurrentlyCancellable`

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItem, addItem, addItems, addItems, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, removeItem, removeItem, replaceItem, replaceOrAddItem, setComparator, setItem, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveAgentsListModel

          public ActiveAgentsListModel(ClientContext clientCtx)

  - ### Method Detail

    - #### initListModel

          public void initListModel()

      Overrides:
        `initListModel` in class `ClientActivityListModel<ClientContext,AsyncAgent>`

    - #### getTypeName

          public NlsKey getTypeName()

      Specified by:
        `getTypeName` in class `ActivityListModel<ClientContext,AsyncAgent>`

    - #### getTypeIcon

          public IconKey getTypeIcon()

      Specified by:
        `getTypeIcon` in class `ActivityListModel<ClientContext,AsyncAgent>`

    - #### findAgentById

          public AsyncAgent findAgentById(AgentId id)

    - #### cancelAgentByName

          public boolean cancelAgentByName(java.lang.String agentName,
                                  SessionId killerId)

    - #### cancel

          public boolean cancel(int index)

      Overrides:
        `cancel` in class `ActivityListModel<ClientContext,AsyncAgent>`

    - #### cancelAll

          public boolean cancelAll()

      Overrides:
        `cancelAll` in class `ActivityListModel<ClientContext,AsyncAgent>`

    - #### getAgentId

          public AgentId getAgentId(int index)

    - #### getAgent

          public AsyncAgent getAgent(int index)

    - #### addAgent

          public void addAgent(AsyncAgent agent)

    - #### removeAgentById

          public void removeAgentById(AgentId agentId)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.